Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Prep for 0.5.1 release

  • Loading branch information...
commit 6e56779df9ef3047a072dd2109756f9a6c654a0c 1 parent 19a64d3
@brynary brynary authored
Showing with 39 additions and 39 deletions.
  1. +1 −1  History.txt
  2. +1 −1  lib/rack/test.rb
  3. +37 −37 rack-test.gemspec
View
2  History.txt
@@ -1,4 +1,4 @@
-== Git
+== 0.5.1 / 2009-10-27
* Bug fixes
View
2  lib/rack/test.rb
@@ -9,7 +9,7 @@
module Rack
module Test
- VERSION = "0.5.0"
+ VERSION = "0.5.1"
DEFAULT_HOST = "example.org"
MULTIPART_BOUNDARY = "----------XnJLe9ZIbbGUYtzPQJ16u1"
View
74 rack-test.gemspec
@@ -1,64 +1,61 @@
-# Generated by jeweler
-# DO NOT EDIT THIS FILE
-# Instead, edit Jeweler::Tasks in Rakefile, and run `rake gemspec`
# -*- encoding: utf-8 -*-
Gem::Specification.new do |s|
s.name = %q{rack-test}
- s.version = "0.5.0"
+ s.version = "0.5.1"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Bryan Helmkamp"]
- s.date = %q{2009-09-19}
+ s.date = %q{2009-10-27}
s.description = %q{Rack::Test is a small, simple testing API for Rack apps. It can be used on its
own or as a reusable starting point for Web frameworks and testing libraries
to build on. Most of its initial functionality is an extraction of Merb 1.0's
request helpers feature.}
s.email = %q{bryan@brynary.com}
s.extra_rdoc_files = [
- "MIT-LICENSE.txt",
- "README.rdoc"
+ "README.rdoc",
+ "MIT-LICENSE.txt"
]
s.files = [
".document",
- ".gitignore",
- "History.txt",
- "MIT-LICENSE.txt",
- "README.rdoc",
- "Rakefile",
- "lib/rack/mock_session.rb",
- "lib/rack/test.rb",
- "lib/rack/test/cookie_jar.rb",
- "lib/rack/test/methods.rb",
- "lib/rack/test/mock_digest_request.rb",
- "lib/rack/test/uploaded_file.rb",
- "lib/rack/test/utils.rb",
- "rack-test.gemspec",
- "spec/fixtures/config.ru",
- "spec/fixtures/fake_app.rb",
- "spec/fixtures/foo.txt",
- "spec/rack/test/cookie_spec.rb",
- "spec/rack/test/digest_auth_spec.rb",
- "spec/rack/test/multipart_spec.rb",
- "spec/rack/test/utils_spec.rb",
- "spec/rack/test_spec.rb",
- "spec/spec.opts",
- "spec/spec_helper.rb"
+ ".gitignore",
+ "History.txt",
+ "MIT-LICENSE.txt",
+ "README.rdoc",
+ "Rakefile",
+ "Thorfile",
+ "lib/rack/mock_session.rb",
+ "lib/rack/test.rb",
+ "lib/rack/test/cookie_jar.rb",
+ "lib/rack/test/methods.rb",
+ "lib/rack/test/mock_digest_request.rb",
+ "lib/rack/test/uploaded_file.rb",
+ "lib/rack/test/utils.rb",
+ "rack-test.gemspec",
+ "spec/fixtures/config.ru",
+ "spec/fixtures/fake_app.rb",
+ "spec/fixtures/foo.txt",
+ "spec/rack/test/cookie_spec.rb",
+ "spec/rack/test/digest_auth_spec.rb",
+ "spec/rack/test/multipart_spec.rb",
+ "spec/rack/test/utils_spec.rb",
+ "spec/rack/test_spec.rb",
+ "spec/spec.opts",
+ "spec/spec_helper.rb"
]
s.homepage = %q{http://github.com/brynary/rack-test}
- s.rdoc_options = ["--charset=UTF-8"]
s.require_paths = ["lib"]
s.rubyforge_project = %q{rack-test}
s.rubygems_version = %q{1.3.5}
s.summary = %q{Simple testing API built on Rack}
s.test_files = [
"spec/fixtures/fake_app.rb",
- "spec/rack/test/cookie_spec.rb",
- "spec/rack/test/digest_auth_spec.rb",
- "spec/rack/test/multipart_spec.rb",
- "spec/rack/test/utils_spec.rb",
- "spec/rack/test_spec.rb",
- "spec/spec_helper.rb"
+ "spec/rack/test/cookie_spec.rb",
+ "spec/rack/test/digest_auth_spec.rb",
+ "spec/rack/test/multipart_spec.rb",
+ "spec/rack/test/utils_spec.rb",
+ "spec/rack/test_spec.rb",
+ "spec/spec_helper.rb"
]
if s.respond_to? :specification_version then
@@ -66,8 +63,11 @@ request helpers feature.}
s.specification_version = 3
if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
+ s.add_runtime_dependency(%q<rack>, [">= 1.0"])
else
+ s.add_dependency(%q<rack>, [">= 1.0"])
end
else
+ s.add_dependency(%q<rack>, [">= 1.0"])
end
end
Please sign in to comment.
Something went wrong with that request. Please try again.